package com.ruoyi.system.domain.projectV2;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 招商引资_督办单对象 zsyz_dbd
 * 
 * @author boman
 * @date 2023-02-25
 */
public class ZsyzDbd extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 督办单号(自动生成) */
    @Excel(name = "督办单号(自动生成)")
    private String dh;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long xmId;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String xmbh;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String xmmc;

    /** 督办部门id */
    @Excel(name = "督办部门id")
    private Long deptId;

    /** 督办部门名称 */
    @Excel(name = "督办部门名称")
    private String deptName;

    /** 是否回复 N:未回复，2:已回复 */
    @Excel(name = "是否回复 N:未回复，2:已回复")
    private String isHf;

    /** 督办日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "督办日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dbTime;

    /** 办理时限 */
    @Excel(name = "办理时限")
    private String blsx;

    /** 督办事项 */
    @Excel(name = "督办事项")
    private String dbsx;

    /** 进展情况 */
    @Excel(name = "进展情况")
    private String jzqk;

    /** 存在问题 */
    @Excel(name = "存在问题")
    private String czwt;

    /** 解决建议 */
    @Excel(name = "解决建议")
    private String jjjy;

    /** 下一步工作计划 */
    @Excel(name = "下一步工作计划")
    private String gzjh;

    /** 填报人 */
    @Excel(name = "填报人")
    private String tbr;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    /** 填报日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "c", width = 30, dateFormat = "yyyy-MM-dd")
    private Date tbTime;

    /**
     * 牌 1:黄牌 2:红牌
     */
    private String dbType;

    /** 项目进度 1:项目首谈 2:项目承接 3:项目签约 4:项目开工 5:项目投产  */
    //@Excel(name = "项目进度 1:项目首谈待审核 2:项目首谈已审核 3:线索分发要素部门 4:线索已指派 5:线索已承接 6:签约待审核 7:签约已审核 8:开工待审核 9:开工已审核 10:投产待审核 11:投产已审核 12:项目已入归")
    private String progress;

    /**
     * 项目状态 1:待审核 2:已通过 3:被退回
     */
    private String xmStatus;

    public String getXmStatus() {
        return xmStatus;
    }

    public void setXmStatus(String xmStatus) {
        this.xmStatus = xmStatus;
    }

    public String getProgress() {
        return progress;
    }

    public void setProgress(String progress) {
        this.progress = progress;
    }

    public String getDbType() {
        return dbType;
    }

    public void setDbType(String dbType) {
        this.dbType = dbType;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDh(String dh) 
    {
        this.dh = dh;
    }

    public String getDh() 
    {
        return dh;
    }
    public void setXmId(Long xmId) 
    {
        this.xmId = xmId;
    }

    public Long getXmId() 
    {
        return xmId;
    }
    public void setXmbh(String xmbh) 
    {
        this.xmbh = xmbh;
    }

    public String getXmbh() 
    {
        return xmbh;
    }
    public void setXmmc(String xmmc) 
    {
        this.xmmc = xmmc;
    }

    public String getXmmc() 
    {
        return xmmc;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setIsHf(String isHf) 
    {
        this.isHf = isHf;
    }

    public String getIsHf() 
    {
        return isHf;
    }
    public void setDbTime(Date dbTime) 
    {
        this.dbTime = dbTime;
    }

    public Date getDbTime() 
    {
        return dbTime;
    }
    public void setBlsx(String blsx) 
    {
        this.blsx = blsx;
    }

    public String getBlsx() 
    {
        return blsx;
    }
    public void setDbsx(String dbsx) 
    {
        this.dbsx = dbsx;
    }

    public String getDbsx() 
    {
        return dbsx;
    }
    public void setJzqk(String jzqk) 
    {
        this.jzqk = jzqk;
    }

    public String getJzqk() 
    {
        return jzqk;
    }
    public void setCzwt(String czwt) 
    {
        this.czwt = czwt;
    }

    public String getCzwt() 
    {
        return czwt;
    }
    public void setJjjy(String jjjy) 
    {
        this.jjjy = jjjy;
    }

    public String getJjjy() 
    {
        return jjjy;
    }
    public void setGzjh(String gzjh) 
    {
        this.gzjh = gzjh;
    }

    public String getGzjh() 
    {
        return gzjh;
    }
    public void setTbr(String tbr) 
    {
        this.tbr = tbr;
    }

    public String getTbr() 
    {
        return tbr;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setTbTime(Date tbTime) 
    {
        this.tbTime = tbTime;
    }

    public Date getTbTime() 
    {
        return tbTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dh", getDh())
            .append("xmId", getXmId())
            .append("xmbh", getXmbh())
            .append("xmmc", getXmmc())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("isHf", getIsHf())
            .append("dbTime", getDbTime())
            .append("blsx", getBlsx())
            .append("dbsx", getDbsx())
            .append("jzqk", getJzqk())
            .append("czwt", getCzwt())
            .append("jjjy", getJjjy())
            .append("gzjh", getGzjh())
            .append("tbr", getTbr())
            .append("phone", getPhone())
            .append("tbTime", getTbTime())
            .append("dbType", getDbType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
